#!/bin/sh

. ./setenv_eai.sh

if [ -z $WORK_DIR ]
then
	echo "### ERROR WORK DIR NOT SET ###"
fi

echo "WORK_DIR: $WORK_DIR"


echo $CLASSPATH
echo "Compilazione dei File JAVA articolo 2 ..."
$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile

if [ -z $JBOSS_DIST ] 
then
        echo "########################"
        echo "### NO JAR EJB JBoss ###"
        echo "########################"
else
        echo "********************************"
        echo "* Costruizone EJB JBoss JAR... *"
        echo "********************************"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml makejar
fi

if [ -z $TOMCAT_HOME ] 
then
        echo "########################"
        echo "### NO WAR TOMCAT  #####"
        echo "########################"
else
        echo "********************************"
        echo "* Costruizone TOMCAT WAR   ... *"
        echo "********************************"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml makewar
fi

if [ ! -d $WORK_DIR/generated/ws/axis ] 
then
	echo "################################################"
        echo "### NO file Java da compilare per WS Axis ! ####" 
	echo "################################################"
else
	echo "********************************************************************************"
        echo "* Compilazione dei sorgenti Java WebServices in $WORK_DIR/generated/ws/axis... *"
	echo "********************************************************************************"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-generated-ws-axis
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-plugin-axis
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-ws-axis
fi


if [ -z $AXIS_DIST ] 
then
        echo "#########################"
        echo "### NO JAR WS AXIS  #####"
        echo "#########################"
else
        echo "********************************"
        echo "* Costruzione AXIS WS JAR  ... *"
        echo "********************************"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml make_WS_JAR
fi


if [ ! -d $WORK_DIR/generated/ws/dotnet ] 
then
	echo "################################################"
        echo "### NO file Java da compilare per WS .NET ! ####" 
	echo "################################################"
else
        echo "Compilazione dei sorgenti Java WebServices in $WORK_DIR/generated/ws/dotnet..."
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-generated-ws-dotnet
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-plugin-dotnet
fi

export DESTINATION_DIR=$WORK_DIR/generated/corba/java
echo "CORBA DESTINATION_DIR= $DESTINATION_DIR"
if [ ! -d $DESTINATION_DIR ]
then
	echo "$DESTINATION_DIR NON esiste..."
	echo "creazione della directory $DESTINATION_DIR ..."
	mkdir -p $DESTINATION_DIR
	echo "directory $DESTINATION_DIR creata!"

else
	echo "$DESTINATION_DIR esistente..."
fi
	

echo "Compilazione del file IDL ..."
$JAVA_HOME/bin/idlj -i $JAVA_HOME/lib -fall -td  $DESTINATION_DIR  $WORK_DIR/corba_mico/idl/calcolatrice.idl
echo "... i sorgenti Java sono disponibile nella directory $DESTINATION_DIR ..."
echo "**************************************************************************************"
echo "* Compilazione dei sorgenti CORBA Java in $DESTINATION_DIR ..."
echo "**************************************************************************************"
$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-generated-corba
$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-plugin-corba

