package it.mokabyte.eai.my.client.corba;

import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;
import org.omg.CORBA.*;

import eai.Calcolatrice;
import eai.CalcolatriceHelper;
/**
 * <p>Title: CalculatorTestClient</p>
 * <p>Description: CORBA client</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */
public class CalculatorTestClient {

  public static void main(String args[]){
      new CalculatorTestClient().test(args);
  }

  public void test(String args[]) {

    try{
      System.out.println("CalculatorBdCORBAImpl.getLength: arrivata["+args+"]...");

      // create and initialize the ORB
      ORB orb = ORB.init(args, null);

      System.out.println("ORB["+orb+"]...");

      // si ricava il root naming context
      // NameService=persistente TNameService=transient
      org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");

      System.out.println("ROOT CONTEXT FIND: objRef["+objRef+"]-class["+objRef.getClass().getName()+"]...");

      // Use NamingContextExt instead of NamingContext. This is
      // part of the Interoperable naming Service.
      NamingContextExt ncRef = NamingContextExtHelper.narrow(objRef);

      System.out.println("NamingContextExt: " + ncRef);

      // resolve the Object Reference in Naming
      NameComponent nc[] = { new NameComponent("eai", ""),
                             new NameComponent("calcolatrice", "")
                       };

      System.out.println("NameComponent: " + nc);

      Calcolatrice obj= CalcolatriceHelper.narrow(ncRef.resolve(nc));

      System.out.println("Obtained an handle on server object: "+obj+"-class["+obj.getClass().getName());

      String str="Hello!";
      System.out.println("Risultato: lunghezza di ["+str+"] e' di " + obj.strlen_calc(str)+" ...");

    } catch (Exception e) {
	    System.out.println("ERROR: " + e) ;
	    e.printStackTrace(System.out);
    }
  }
}
