package it.mokabyte.eai.my.client.wls;

import javax.naming.*;
import java.util.Properties;
import javax.rmi.PortableRemoteObject;

import it.mokabyte.eai.other.ejb.CalculatorHome;
import it.mokabyte.eai.other.ejb.Calculator;

import it.mokabyte.eai.my.util.PublicLibraries;
/**
 * <p>Title: </p>
 * <p>Description: Semplice client di test dell'EJB Calculator deployato su WLS</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author S. Rossini
 * @version 1.0
 */
public class CalculatorTestClient {

  public void test(String jndiName) {
    try {
      //get naming context
      Context ctx = new InitialContext();

      PublicLibraries.printContextProperties(ctx);

      PublicLibraries.diplayContextContent(ctx);

      System.out.println("CalculatorTestClient.test: BEFORE lookup ["+jndiName+"]...");

      //look up jndi name
      Object ref = ctx.lookup(jndiName);

      System.out.println("CalculatorTestClient.test: Ref[" + ref+"]-class["+ref.getClass().getName()+"]...");

      System.out.println("CalculatorTestClient.test: BEFORE NARROW ...");

      //cast to Home interface
      Object obj = PortableRemoteObject.narrow(ref, CalculatorHome.class);

      System.out.println("CalculatorTestClient.test: Obj["+obj+"]-class["+obj.getClass().getName()+"]...");

      System.out.println("CalculatorTestClient.test: BEFORE CAST ...");

      CalculatorHome home = (CalculatorHome) obj;

      System.out.println("CalculatorTestClient.test: home["+home+"]-class["+home.getClass().getName()+"]...");

      Calculator calculator = home.create();

      System.out.println("CalculatorTestClient.test: home["+calculator+"]-class["+calculator.getClass().getName()+"]...");

      String str = "CIAO";
      System.out.println("LENGTH of " + str + " is : " + calculator.getLength("CIAO!"));

    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  //Main method
  public static void main(String[] args) {
   System.out.println("starting CalculatorTestClient ...");
   if (args.length == 1) {
     new CalculatorTestClient().test(args[0]);
   }
   else {
     System.out.println("usage : CalculatorTestClient <JNDI_NAME>");
   }
 }

}