package it.mokabyte.eai.my.locator;

/**
 * <p>Title: ServiceConfig</p>
 * <p>Classe di configurazione</p>
 * @author S.Rossini
 */
public class ServiceConfig {

    private String description = null;
    private Class homeClass = null;
    private String jndiName = null;
    private String initialContextFactory = null;
    private String providerUrl = null;
    private String username = null;
    private String password = null;

    public ServiceConfig(){}

    public ServiceConfig(Class h, String jn, String icf, String pu, String u, String p) {
        this.description = "";
        this.homeClass = h;
        this.jndiName = jn;
        this.initialContextFactory = icf;
        this.providerUrl = pu;
        this.username = u;
        this.password = p;
    }

    // Description
    public String getDescription() {
        return this.description;
    }

    public void setDescription(String s) {
        this.description=s;
    }

    // Home class
    public Class getHomeClass() {
        return this.homeClass;
    }

    public void setHomeClass(Class x) {
        this.homeClass = x;
    }

    // Jndi Name
    public String getJndiName() {
        return this.jndiName;
    }

    public void setJndiName(String x) {
        this.jndiName=x;
    }

    // Initial Context Factory
    public String getInitialContextFactory() {
        return this.initialContextFactory;
    }

    public void setInitialContextFactory(String x) {
        this.initialContextFactory=x;
    }

    // Provider URL
    public String getProviderUrl() {
        return this.providerUrl;
    }

    public void setProviderUrl(String x) {
        this.providerUrl = x;
    }

    // Username
    public String getUserName() {
        return this.username;
    }

    public void setUserName(String x){
        this.username = x;
    }

    // Password
    public void setPassword(String x) {
        this.password=x;
    }

    public String getPassword() {
        return this.password;
    }

    // toString
    public String toString() {
        return "MyServiceLocator: "+ this.description + ": home[" + this.homeClass + "]-CTX Factory["+this.initialContextFactory+"]-JNDI Name["+this.jndiName+"]-URL["+this.providerUrl+"]-UserName["+this.username+"]-Password["+this.password+"]";
    }
}


